#!/bin/ksh

usageBOB()
{
  echo "BOBCAT_HOME needs to be set, typicially /usr/ldap/appsrv for AIX and Linux"
  echo "BOBCAT_HOME needs to be set, typicially /opt/IBMldaps/appsrv for Solaris"
  echo "BOBCAT_HOME needs to be set, typicially /usr/IBMldap/appsrv for HPUX"
  exit 1
}

usageLDAP()
{
  echo "INSTALL_DIR needs to be set, typicially /usr/ldap for AIX and Linux"
  echo "INSTALL_DIR needs to be set, typicially /opt/IBMldaps for Solaris"
  echo "INSTALL_DIR needs to be set, typicially /usr/IBMldap for HPUX"
  exit 1
}

if [ -z "$BOBCAT_HOME" ]; then usageBOB
fi

if [ -z "$INSTALL_DIR" ]; then usageLDAP
fi

test -d $BOBCAT_HOME/installableApps || mkdir "$BOBCAT_HOME/installableApps"
cp "$INSTALL_DIR/idstools/IDSWebApp.war" "$BOBCAT_HOME/installableApps"

"$BOBCAT_HOME/bin/wsadmin.sh" -conntype NONE -c "\$AdminApp install {$BOBCAT_HOME/installableApps/IDSWebApp.war} {-configroot \"$BOBCAT_HOME/config\" -node DefaultNode -usedefaultbindings -nodeployejb -appname IDSWebApp.war -contextroot \"IDSWebApp\"}"
